প্রশ্ন হোস্টনাম নির্ধারণ করা হচ্ছে: FQDN বা ছোট নাম?


আমি লক্ষ্য করেছি যে সিস্টেম হোস্টনাম নির্ধারণ করার "পছন্দের" পদ্ধতিটি মূলত Red Hat / CentOS এবং ডেবিয়ান / উবুন্টু সিস্টেমের মধ্যে আলাদা।

CentOS ডকুমেন্টেশন এবং RHEL স্থাপনার গাইড হোস্টনাম বলুন FQDN হতে হবে:

HOSTNAME=<value>, কোথায় <value> সম্পূর্ণ যোগ্যতা ডোমেন হতে হবে   নাম (FQDN), যেমন hostname.example.com, কিন্তু যাই হোক না কেন হতে পারে   হোস্টনাম প্রয়োজনীয়।

দ্য RHEL ইনস্টল গাইড সামান্য আরো দ্বিধান্বিত:

সেটআপ আপনাকে এই কম্পিউটারের জন্য একটি হোস্ট নাম সরবরাহ করতে অনুরোধ করে, যেমন একটি    সম্পূর্ণরূপে যোগ্যতাসম্পন্ন ডোমেইন নাম (FQDN) বিন্যাসে hostname.domainname   বা বিন্যাসে একটি সংক্ষিপ্ত হোস্ট নাম হিসাবে হোস্ট-নেম

ডেবিয়ান রেফারেন্স হোস্টনাম বলে FQDN ব্যবহার করা উচিত নয়:

3.5.5। হোস্টনাম

কার্নেল সিস্টেম বজায় রাখে হোস্ট-নেম। রানলেভেল মধ্যে init স্ক্রিপ্ট   এস যা symlinked হয় "/etc/init.d/hostname.sh"সিস্টেম সেট   বুট সময় হোস্টনাম (ব্যবহার করে হোস্ট-নেম কমান্ড) নাম সংরক্ষিত   মধ্যে "জন্য / etc / হোস্টনাম"এই ফাইল থাকা উচিত কেবল সিস্টেম হোস্টনাম,   একটি সম্পূর্ণরূপে যোগ্যতাসম্পন্ন ডোমেন নাম না।

আমি কোন আইবিএম থেকে কোন নির্দিষ্ট সুপারিশ দেখেছি না, যা ব্যবহার করতে হবে কিছু সফ্টওয়্যার একটি পছন্দ আছে মনে হচ্ছে।

আমার প্রশ্নগুলো:

  • একটি বৈচিত্র্যপূর্ণ পরিবেশে, বিক্রেতা সুপারিশটি ব্যবহার করা কি ভাল, নাকি একটি নির্বাচন করুন এবং সমস্ত হোস্টগুলিতে সামঞ্জস্যপূর্ণ?
  • হোস্টনামটি FQDN বা স্বল্প নামতে সেট করা আছে কিনা তা সংবেদনশীল কিনা তা আপনি কোন সফটওয়্যারটি সম্মুখীন করেছেন?

164
2017-11-17 13:07


উত্স




উত্তর:


আমি পুরো পরিবেশ জুড়ে একটি সামঞ্জস্যপূর্ণ পদ্ধতির নির্বাচন হবে। উভয় সমাধান জরিমানা কাজ এবং অধিকাংশ অ্যাপ্লিকেশন সঙ্গে সামঞ্জস্যপূর্ণ থাকবে। ব্যবস্থাপনায় একটি পার্থক্য আছে, যদিও।

আমি HOSTNAME সেটিং হিসাবে স্বল্প নাম দিয়ে যাচ্ছি, এবং প্রথম কলাম হিসেবে FQDN সেট করি /etc/hosts সার্ভার এর আইপি জন্য, স্বল্প নাম অনুসরণ করে।

আমি অনেক সফটওয়্যার প্যাকেজ সম্মুখীন না যে দুটি মধ্যে একটি পছন্দ বা প্রফুল্লতা প্রদর্শন। আমি কিছু অ্যাপ্লিকেশন, বিশেষ করে লগিং জন্য ক্লিনার সংক্ষিপ্ত নাম খুঁজে। হয়তো আমি অভ্যন্তরীণ ডোমেন মত ​​দেখতে দুর্ভাগ্যবশত হয়েছে server.northside.chicago.rizzomanufacturing.com। যারা লগ বা একটি দেখতে চায় শেল প্রম্পট?

কখনও কখনও, আমি কোম্পানী অধিগ্রহণ বা পুনর্গঠন জড়িত যেখানে অভ্যন্তরীণ ডোমেইন এবং / অথবা সাবডোমেন পরিবর্তন। আমি এই ক্ষেত্রে ছোট হোস্টনাম ব্যবহার করতে পছন্দ করি কারণ লগিং, কিকস্টার্ট, প্রিন্টিং, সিস্টেম মনিটরিং, ইত্যাদি নতুন ডোমেন নামগুলির জন্য অ্যাকাউন্টে পূর্ণ পুনর্গঠনের প্রয়োজন নেই।

অভ্যন্তরীণ ডোমেন "ifp.com" এর সাথে "rizzo" নামে একটি সার্ভারের জন্য একটি আদর্শ RHEL / CentOS সার্ভার সেটআপ এই রকম দেখাবে:

/etc/sysconfig/network:
HOSTNAME=rizzo
...

-

/etc/hosts:
127.0.0.1   localhost localhost.localdomain localhost4 localhost4.localdomain4
::1         localhost localhost.localdomain localhost6 localhost6.localdomain6

172.16.100.13   rizzo.ifp.com rizzo

-

[root@rizzo ~]# hostname 
rizzo

-

/var/log/messages snippet:
Dec 15 10:10:13 rizzo proftpd[19675]: 172.16.100.13 (::ffff:206.15.236.182[::ffff:206.15.236.182]) - Preparing to               
 chroot to directory '/app/upload/GREEK'
Dec 15 10:10:51 rizzo proftpd[20660]: 172.16.100.13 (::ffff:12.28.170.2[::ffff:12.28.170.2]) - FTP session opened.
Dec 15 10:10:51 rizzo proftpd[20660]: 172.16.100.13 (::ffff:12.28.170.2[::ffff:12.28.170.2]) - Preparing to chroot                
to directory '/app/upload/ftp/SRRID'

96
2017-11-17 13:20



আপনার মত, আমি ছোট নাম পছন্দ করি, তবে সম্প্রতি আমি আবিষ্কার করেছি যে কিছু ওরাকল অ্যাপ্লিকেশনগুলির আউটপুট প্রয়োজন hostname FQDN হতে। শুধু এটা হচ্ছে /etc/hosts যথেষ্ট ভাল না। যে আমার সামঞ্জস্য সঙ্গে messed। - James O'Gorman
এই উদাহরণে হোস্টনামগুলির পুঁজিকরণের পার্থক্য নিশ্চয়ই সেরা অনুশীলন নয়। tools.ietf.org/search/rfc1178 - teknopaul
করা উচিত নয় /etc/sysconfig/network লাইনে রয়েছে: NETWORKING=yes, NETWORKING_IPV6=no, HOSTNAME=example.com, NISDOMAIN=example ? - Jasmine Lognnes
@ জেসমিনলগনেস ডান, আমি এটা সংশোধন করেছি। আমি আশা করি আল্লাহ্ মনে করেন না। - kubanczyk
এটা শুধু পছন্দ সম্পর্কে নয়। দেখ hostname(1) কোন লিনাক্স মেশিনে।


বেশিরভাগই সমস্ত সফটওয়্যার হোস্টনাম সঠিকভাবে সেট করার জন্য সংবেদনশীল। যখন আমি ডিগ্গে কাজ করছিলাম, তখন একসময় নির্দোষ নির্দোষ পরিবর্তনের কারণে পুরো সাইটটিকে 2 ঘন্টা ধরে ফেলে দিলাম /etc/hostsযে হোস্ট নাম সিস্টেমের ধারণা প্রভাবিত। হালকা পদব্রজে ভ্রমণ। যে বলেন, আপনি এখানে একটু বিভ্রান্ত হতে পারে। আমি মনে করি না HOSTNAME= সেটিং ডেবিয়ান ভিত্তিক বিতরণ ব্যবহার করে সরাসরি সমান /etc/hostname

একটি বৈচিত্র্যময় পরিবেশে আমার জন্য কি কাজ করে:

  1. আপনার কনফিগারেশন পরিচালনার সফ্টওয়্যারে শর্তাধীন ব্যবহার করে বিক্রেতা-প্রস্তাবিত পদ্ধতিতে হোস্টনামটি সেট করুন।
  2. ব্যবহার hostname কার্নেল, ইত্যাদি ব্যবহৃত হোস্টনাম সেট করার কমান্ড।
  3. মধ্যে /etc/hosts:

    127.0.0.1    localhost
    10.0.0.1     hostname.example.com     hostname
    

এই কনফিগারেশন এখনো আমাকে ব্যর্থ হয়েছে।


36
2017-11-21 18:48



এই কাজ আমি ব্যবহার বেশিরভাগ সেটআপ। ডোমেন নামটি আপনার পরিবেশের প্রাসঙ্গিক মেশিনগুলির জন্য ডিএনএ অনুসন্ধান পাথ (/etc/resolv.conf) এ যতক্ষণ না দীর্ঘ নামটি ভাল হওয়া উচিত - gWaldo
আপনি একটি পাবলিক এক বিরোধিতার হিসাবে বিশেষভাবে একটি স্থানীয় নেটওয়ার্ক আইপি সুপারিশ করবেন? - code_monk


আপনি অবশ্যই রেফারেন্স অনলাইন খুঁজে পেতে কোন সমস্যা পাবেন যা আপনাকে অবশ্যই এক উপায় বা অন্য কোনটি করতে বলবে। যদিও মনে হচ্ছে হোস্টনাম হিসাবে স্বল্প নাম আছে এবং / etc / হোস্টগুলিতে সম্পূর্ণরূপে যোগ্য নাম রয়েছে তবে অবশ্যই এটি আরও প্রচলিত। এটি আরও বেশি বুদ্ধিমান উপায় বলে মনে হয়, যেহেতু সেই পরিষেবাগুলিকে সম্পূর্ণরূপে যোগ্যতাসম্পন্ন নাম প্রয়োজন বলে কল করতে পারে hostname --fqdn পরিবর্তে.

আমি শুধুমাত্র সম্প্রতি সফ্টওয়্যার এক টুকরা জুড়ে এসেছি যা কঠোরভাবে একটি fqdn দ্বারা ফিরে আসা প্রয়োজন hostnameযা গানেটি ছিল। তারা এই নথি এখানে। আমি যে কোন কারণে তারা মানিয়ে নিতে পারবেন না দেখতে hostname --fqdn, যাহোক.


29
2017-12-15 14:45



একটি উদাহরণ প্রদানের জন্য বোনাস! ধন্যবাদ। - Cakemox
"আমি যে কোন কারণে তারা মানিয়ে নিতে পারে না দেখতে না hostname --fqdn"প্রথম পূর্ণাঙ্গ হোস্ট নাম কেন" এর অধীনে প্রথম অনুচ্ছেদের উত্তর দেওয়া হয়েছে - এটি অনুমানের প্রয়োজন, এবং একটি কার্যকর সমাধানকারীর প্রয়োজন। কার্নেলকে জিজ্ঞাসা করা নিরাপদ এবং সবচেয়ে নির্ভরযোগ্য বিকল্প। - womble♦
@ womble - যতক্ষন পর্যন্ত / etc / hosts ফাইলটি মেশিনের জন্য একটি এন্ট্রি থাকে (10.0.0.1 hostname.example.com hostname) এবং /etc/nsswitch.conf DNS এর আগে স্থানীয় রেজোলিউশন নির্দিষ্ট করে (hosts: files dns) তারপর একটি কাজ সমাধানকারী হচ্ছে স্থানীয় হোস্ট ফাইল দ্বারা পূর্ণ করা হয়। যেমন হোস্টনাম পরিবর্তে একটি FQDN ব্যবহার করার জন্য যুক্তি খুব কমই জল ধরে রাখে। এছাড়াও, কঠোরভাবে প্রয়োজন যে সফ্টওয়্যার আরেকটি উদাহরণ hostname ফিউডডিএন ফিরিয়ে দিতে জিম্বাবো মেইল ​​সার্ভার প্যাকেজ। - crashmaxed
@ ক্রাশম্যাক্সড: এটি অতিরিক্ত কিছু প্রয়োজনীয়তা, যা কোনও পরিবেশে সম্ভব নাও হতে পারে বা ভুল করে ক্ষিপ্ত হতে পারে। কার্নেল ডেটা স্ট্রাকচারগুলিতে FQDN থাকা খুব সহজ। - womble♦


কিছুটা স্পষ্টতই, এই প্রশ্নটি অনুসন্ধান করার সময়, আমি "হোস্টনাম" এর উত্স কোডটি পরীক্ষা করার জন্য যথেষ্ট পাগল হয়ে গিয়েছি এবং অনুসন্ধানমূলক ফলাফল মুদ্রণ করতে একটি স্ক্রিপ্ট লিখছি (ফেডোরা 19)। অনুপস্থিতিটি "/ etc / hosts" -এ একটি দৃষ্টিকোণ, যা আমার বিনয়ী মতামতকে প্রথমেই এটিকে সর্বপ্রথম বের করে রাখতে হবে।

#!/bin/bash

function pad {
   if [[ $1 == '?' ]]; then
      printf "%-23s" "?"
   else
      printf "%-23s" "'$1'"
   fi
}

# ----- Kernel -----

# Two ways to configure the kernel values: 
# 1) Put FQDN into "kernel.hostname" and nothing into "kernel.domainname"
# 2) Put machine name into "kernel.hostname" and DNS domain name into "kernel.domainname" (makes more sense)

echo "== Kernel values =="
echo

H=`/sbin/sysctl -n kernel.hostname`
D=`/sbin/sysctl -n kernel.domainname`

echo "Kernel hostname: '$H'"
echo "Kernel domainname: '$D'"

# ----- What does bash say -----

echo
echo "== According to bash =="
echo

echo "HOSTNAME = '$HOSTNAME'"

# ----- Hostname config file ------

echo
echo "== Hostname config file =="
echo

ETCH="/etc/hostname"

if [[ -f $ETCH ]]; then
   CONTENTS=`cat $ETCH`
   echo "File '$ETCH' contains: '$CONTENTS'"
else
   echo "File '$ETCH' does not exist"
fi

# ----- Network config file ------

echo
echo "== Network config file =="
echo

SYSN="/etc/sysconfig/network"

if [[ -f $SYSN ]]; then
   LINE=`grep -e "^HOSTNAME=" $SYSN`
   if [[ -n $LINE ]]; then
      echo "File '$SYSN' contains: '$LINE'"
   else 
      echo "File '$SYSN' exists but does not contain a line for 'HOSTNAME'"
   fi
else
   echo "File '$SYSN' does not exist"
fi

# ----- Nodename -------

echo
echo "== Nodename =="
echo

UNAME=`uname --nodename` # On Linux, this is the hostname

echo "The 'nodename' given by 'uname --nodename' is: '$UNAME'"

# ----- The 'hostname' mess ------

THE_HOSTNAME=`hostname`
SHORT_NAME=`hostname --short`
NIS_DNAME=`domainname`     
YP_DNAME=`hostname --yp`    # Same as `nisdomainname` ; this may fail with "hostname: Local domain name not set"

if [[ $? != 0 ]]; then
   YP_DNAME="?"
fi

echo
echo "== 'hostname' directly obtained values =="
echo
echo "The result of gethostname();"
echo "...obtained by running 'hostname'"
echo "Hostname: $(pad $THE_HOSTNAME)"
echo
echo "The part before the first '.' of the value returned by gethostname();"
echo "...obtained by running 'hostname --short'"
echo "Short name: $(pad $SHORT_NAME)"
echo
echo "The result of getdomainname(); the code of 'hostname' seems to call this the 'NIS domain name';"
echo "...on Linux, this is the kernel-configured domainname;"
echo "...obtained by running 'domainname'"
echo "NIS domain name: $(pad $NIS_DNAME)"
echo
echo "The result of yp_get_default_domain(), which may fail;"
echo "...obtained by running 'ĥostname --yp'"
echo "YP default domain: $(pad $YP_DNAME)"

DNS_DNAME=`hostname --domain`  # Same as `dnsdomainname`'
FQDN_NAME=`hostname --fqdn`
ALIAS_NAME=`hostname --alias`

echo
echo "== 'hostname' values obtained via DNS =="
echo
echo "The part after the first '.' of the 'canonical name' value returned by getaddrinfo(gethostname());"
echo "...obtained by running 'hostname --domain'"
echo "DNS domain name: $(pad $DNS_DNAME)"
echo
echo "The 'canonical name' value returned by getaddrinfo(gethostname());"
echo "...obtained by running 'hostname --fqdn'"
echo "Fully qualified hostname: $(pad $FQDN_NAME)"
echo
echo "Alias obtained by gethostbyname(gethostname());"
echo "...obtained by running 'hostname --alias'"
echo "Hostname alias: $(pad $ALIAS_NAME)"

BY_IP_ADDR=`hostname --ip-address`
ALL_IP_ADDR=`hostname --all-ip-addresses`
ALL_FQDN_NAMES=`hostname --all-fqdn`

echo
echo "== 'hostname' values obtained by collecting configured network addresses =="
echo
echo "Collect the IP addresses from getaddrinfo(gethostname()), apply getnameinfo(ip) to all those addresses;"
echo "...obtained by running 'hostname --ip-address'"
echo "By IP address: $BY_IP_ADDR"
echo
echo "Call getnameinfo(NI_NUMERICHOST) on all addresses snarfed from active interfaces;"
echo "...obtained by running 'hostname --all-ip-addresses'"
echo "All IP addresses: $ALL_IP_ADDR"
echo
echo "Call getnameinfo(NI_NAMEREQD) on all addresses snarfed from active interfaces (involves lookup in /etc/hosts);"
echo "...obtained by running 'hostname --all-fqdn'"
echo "All fully qualified hostnames: $ALL_FQDN_NAMES"

অ্যামাজন EC2 VM এর আউটপুট ফেডোরা 19 চলছে, কার্নেল মান নির্ধারণ এবং ভরাট করার পরে /etc/hostname, কিন্তু কোন পরিবর্তন সঙ্গে /etc/hosts তারপর এই মত হতে পারে:

== Kernel values ==

Kernel hostname: 'kyubee'
Kernel domainname: 'homelinux.org'

== According to bash ==

HOSTNAME = 'ip-172-31-24-249.localdomain'

== Hostname config file ==

File '/etc/hostname' contains: 'kyubee.homelinux.org'

== Network config file ==

File '/etc/sysconfig/network' exists but does not contain a line for 'HOSTNAME'

== Nodename ==

The 'nodename' given by 'uname --nodename' is: 'kyubee'

== 'hostname' directly obtained values ==

The result of gethostname();
...obtained by running 'hostname'
Hostname: 'kyubee'

The part before the first '.' of the value returned by gethostname();
...obtained by running 'hostname --short'
Short name: 'kyubee'

The result of getdomainname(); the code of 'hostname' seems to call this the 'NIS domain name';
...on Linux, this is the kernel-configured domainname;
...obtained by running 'domainname'
NIS domain name: 'homelinux.org'

The result of yp_get_default_domain(), which may fail;
...obtained by running 'ĥostname --yp'
YP default domain: 'homelinux.org'

== 'hostname' values obtained via DNS ==

The part after the first '.' of the 'canonical name' value returned by getaddrinfo(gethostname());
...obtained by running 'hostname --domain'
DNS domain name: ''

The 'canonical name' value returned by getaddrinfo(gethostname());
...obtained by running 'hostname --fqdn'
Fully qualified hostname: 'kyubee'

Alias obtained by gethostbyname(gethostname());
...obtained by running 'hostname --alias'
Hostname alias: ''

== 'hostname' values obtained by collecting configured network addresses ==

Collect the IP addresses from getaddrinfo(gethostname()), apply getnameinfo(ip) to all those addresses;
...obtained by running 'hostname --ip-address'
By IP address: fe80::8f6:8eff:fe49:9e21%eth0 172.31.24.249

Call getnameinfo(NI_NUMERICHOST) on all addresses snarfed from active interfaces;
...obtained by running 'hostname --all-ip-addresses'
All IP addresses: 172.31.24.249

Call getnameinfo(NI_NAMEREQD) on all addresses snarfed from active interfaces (involves lookup in /etc/hosts);
...obtained by running 'hostname --all-fqdn'
All fully qualified hostnames: ip-172-31-24-249.eu-west-1.compute.internal

পার্লের সম্পূর্ণ যোগ্য হোস্টনাম পেতে স্থিতিস্থাপক উপায়টি তখন হবে:

sub getHostname {

   my $hostname_short = `/bin/hostname --short`;
   if ($? != 0) { print STDERR "Could not execute 'hostname --short' -- exiting\n"; exit 1 }
   chomp $hostname_short;

   my $hostname_long  = `/bin/hostname`;
   if ($? != 0) { print STDERR "Could not execute 'hostname' -- exiting\n"; exit 1 }
   chomp $hostname_long;

   if ($hostname_long =~ /^${hostname_short}\..+$/) {
      # "hostname_long" is a qualified version of "hostname_short"
      return $hostname_long
   }
   else {
      # both hostnames are "short" (and are equal)
      die unless ($hostname_long eq $hostname_short);

      my $domainname = `/bin/domainname`;
      if ($? != 0) { print STDERR "Could not execute 'domainname' -- exiting\n"; exit 1 }
      chomp $domainname;

      if ($domainname eq "(none)") {
         # Change according to taste
         return "${hostname_short}.localdomain"
      }
      else {
         return "${hostname_short}.${domainname}"
      }
   }
}

এবং bash এটা হবে:

function getHostname {

   local hostname_short=`/bin/hostname --short`

   if [ $? -ne 0 ]; then
      echo "Could not execute 'hostname --short' -- exiting" >&2; exit 1
   fi

   local hostname_long=`/bin/hostname`

   if [ $? -ne 0 ]; then
      echo "Could not execute 'hostname' -- exiting" >&2; exit 1
   fi

   if [[ $hostname_long =~ ^"$hostname_short"\..+$ ]]; then
      # "hostname_long" is a qualified version of "hostname_short"
      echo $hostname_long
   else
      # both hostnames are "short" (and are equal)
      if [[ $hostname_long != $hostname_short ]]; then
         echo "Cannot happen: '$hostname_long' <> '$hostname_short' -- exiting" >&2; exit 1
      fi

      local domainname=`/bin/domainname`

      if [ $? -ne 0 ]; then
         echo "Could not execute 'domainname' -- exiting" >&2; exit 1
      fi

      if [[ domainname == '(none)' ]]; then
         # Change according to taste
         echo "${hostname_short}.localdomain"
      else
         echo "${hostname_short}.${domainname}"
      fi
   fi
}

নোট 

দ্রষ্টব্য 1: HOSTNAME একটি শেল ভেরিয়েবল যা ব্যাশ সরবরাহ করে ("স্বয়ংক্রিয় হোস্টের নামে স্বয়ংক্রিয়ভাবে সেট করে।") কিন্তু সেই মানতে ব্যাশ আসে এমন কোন ইঙ্গিত নেই।

নোট 2: /boot/initrams-FOO.img এ / etc / হোস্টনাম ভুলবেন না ...


10
2017-10-03 11:39



দুঃখিত, এটি যদি সুস্পষ্ট হওয়া উচিত তবে হোস্টনামটি সেটিকে কী করতে হবে? - Chris S
মূলত আমার ফেডোরা 19 ইসি 2 ইনস্ট্যান্সগুলিতে হোস্টনাম নির্ধারণ করার সময় আমি তৈরি করেছি। ফলাফলের জন্য: 1) FQHN / etc / হোস্টনামতে সেট করুন 2) / etc / হোস্ট স্পর্শ করবেন না 3) আপনি যদি 'কার্নেল হোস্টনাম' বা FQHN বা অযোগ্য হোস্টনামটিতে সেট করতে পারেন তবে মানটি যদি নেওয়া হয় / etc / hostname 4) আপনি 'কার্নেল ডোমেননাম' ডোমেন নামতে সেট করতে পারেন, যা কেবল '(none)' এর চেয়ে নিছক। - David Tonhofer


/ Etc / হোস্ট বিকল্প ভাল কাজ করে।

কিন্তু আপনি নিশ্চিত করতে চান যে সমস্ত সঠিক ফাইল আপডেট করা হয় সেটআপ টুল


-4
2017-11-25 11:56



আমার বন্টন একটি "সেটআপ" টুল নেই; আপনি যে বন্টন ব্যবহার করে একটি আছে? - nickgrim
কোন Redhat ভিত্তিক ওএস সেটআপ টুল Rhel / Centos / Fedora আপনি ওএস ব্যবহার করা হয়? - Riaan
যেহেতু প্রশ্নটি আরএইচএল-ভিত্তিক এবং ডেবিয়ান ভিত্তিক ডিস্ট্রোগুলির মধ্যে পার্থক্য নিয়ে আলোচনা করে, তাই আমাদের প্রশ্ন করা উচিত যে প্রশ্নকারী উভয়ই ব্যবহার করে। ডেবিয়ান ভিত্তিক ডিস্ট্রোতে কোনও 'সেটআপ' সরঞ্জাম নেই। - Martijn Heemels


এইচএম ... লিনাক্স হোস্টগুলিতে, যদি আপনি HOSTNAME এবং FQDN পরিবর্তন করতে চান তবে আপনাকে 3 টি পদক্ষেপ সমাধান করতে হবে (উদাহরণস্বরূপ, নতুন হোস্টটি rizzo.ifp.com):

ধাপ 1 নেটওয়ার্কে বৈশিষ্ট্য কনফিগারে HOST মান পরিবর্তন করুন:

sudo vi /etc/sysconfig/network

পরিবর্তন বা স্ট্রিং যোগ করুন:

HOSTNAME=rizzo.ifp.com

ধাপ ২ আপনার হোস্টস কনফিগারেশন সম্পাদনা করুন

sudo vim /etc/hosts
#IPv4
127.0.0.1       localhost localhost.localdomain localhost4 localhost4.localdomain4
[External IP]   rizzo rizzo.ifp.com

ধাপ 3 আপনার হোস্ট পুনরায় বুট করুন ভাল কাজ, শুধু নতুন কনফিগারেশন চেক করুন

[rizzo@rizzo]# hostname -f
rizzo.ifp.com

-4
2017-12-22 10:56





আদেশ সঠিক নয়। ক্যর:

1.2.3.4 full.example.com full

তাই উদাহরণটি এটিকে পছন্দ করতে পারে:

[External IP] rizzo.example.com rizzo 

-4
2018-04-05 07:23



এই প্রশ্ন ইতিমধ্যে সত্যিই উত্তর উত্তর আছে। এই নতুন কিছু যোগ করা হয় না। - Esa Jokinen